#pragma once

#include "MediaResources.h"
#include "SvgNode.h"

#include <filesystem>

using Path = std::filesystem::path;

class MediaResourceManager
{
public:
	static std::unique_ptr<SvgNode> getSvgIconNode(Resource::Icon::Svg icon);

	static Path getSvgIconPath(Resource::Icon::Svg icon);

private:
	static const Path mResourceLocation;
};